<template>
<v-app-bar app color="#F6F5F2" flat>
    <v-badge color="#D5F0DB" dot>
        <v-img src="../assets/1.png" contain width="30"></v-img>
    </v-badge>

    <v-toolbar-title class="ml-4">
        <span class="green--text">i</span><strong>Am Far_z</strong>
    </v-toolbar-title>

    <v-spacer></v-spacer>
    <div class="button-cart">
        <v-btn elevation="2" fab icon @click="goToCartPage()">
            <v-icon color="#41AB55">mdi-cart-outline</v-icon>
        </v-btn>
    </div>

    <span class="grey--text d-none d-sm-flex">Hello, <strong>{{ firstName }}</strong></span>

    <v-avatar size="30" class="ml-2">
        <v-img src="https://www.thesprucepets.com/thmb/Wy9Vno45XeFtos7omJ80qkZrtZc=/3760x0/filters:no_upscale():strip_icc()/GettyImages-174770333-0f52afc06a024c478fafb1280c1f491f.jpg"></v-img>
    </v-avatar>

    <v-menu v-model="dropdown" bottom offset-y>
        <template v-slot:activator="{ on, attrs }">
            <v-btn icon v-bind="attrs" v-on="on">
                <v-icon small color="#878A94">mdi-menu-down</v-icon>
            </v-btn>
        </template>
        <v-list>
            <v-list-item v-for="(item, index) in items" :key="index" @click="navigateToPage(index)">
                <v-list-item-title>{{ item }}</v-list-item-title>
            </v-list-item>
        </v-list>
    </v-menu>
</v-app-bar>
</template>

// <script>
// import Swal from 'sweetalert2';
// import Cookies from 'js-cookie';
// import {
//     jwtDecode
// } from "jwt-decode";

// export default {
//     data() {
//         return {
//             token: Cookies.get('token'),
//             dropdown: false,
//             items: ['จัดการเมนู', 'จัดการคำสั่งซื้อ', 'ออกจากระบบ']
//         };
//     },
//     created() {
//         this.getuser();
//     },
//     methods: {
//         async getuser() {
//             if (this.token) {
//                 try {
//                     const decoded = jwtDecode(this.token);
//                     this.firstName = decoded.firstName;
//                     this.loginId = decoded._id;
//                     console.log(this.firstName);
//                     console.log(this.loginId);
//                 } catch (error) {
//                     Swal.fire({
//                         position: "center",
//                         icon: "error",
//                         title: "Session Expired",
//                         showConfirmButton: false,
//                         timer: 3000
//                     });
//                     this.$router.push('/Homepage');
//                 }
//             } else {
//                 Swal.fire({
//                     position: "center",
//                     icon: "error",
//                     title: "Time Out",
//                     showConfirmButton: false,
//                     timer: 3000
//                 });
//                 this.$router.push('/Homepage');
//             }
//         },
//         navigateToPage(index) {
//             let route = '';
//             if (index === 0) {
//                 route = '/homeipnum';
//             } else if (index === 1) {
//                 route = '/ordershop';
//             } else if (index === 2) {
//                 route = '/signup';
//                 Swal.fire({
//                     position: "center",
//                     icon: "Success",
//                     title: "ออก",
//                     showConfirmButton: false,
//                     timer: 3000
//                 });
//             }
//             this.$router.push(route);
//             this.dropdown = false;
//         },
//         goToCartPage() {
//             this.$router.push('/cartshop');
//         }
//     }
// };
// </script>

<script>
import Swal from 'sweetalert2';
import Cookies from 'js-cookie';
import jwtDecode from 'jwt-decode';

export default {
  data() {
    return {
      token: Cookies.get('token'),
      dropdown: false,
      items: ['จัดการเมนู', 'จัดการคำสั่งซื้อ', 'ออกจากระบบ'],
      firstName: '',
      loginId: ''
    };
  },
  created() {
    this.getUser();
  },
  methods: {
    async getUser() {
      if (this.token) {
        try {
          const decoded = jwtDecode(this.token);
          this.firstName = decoded.firstName;
          this.loginId = decoded._id;
        } catch (error) {
          Swal.fire({
            position: "center",
            icon: "error",
            title: "Session Expired",
            showConfirmButton: false,
            timer: 3000
          });
          this.$router.push('/Homepage');
        }
      } else {
        Swal.fire({
          position: "center",
          icon: "error",
          title: "Time Out",
          showConfirmButton: false,
          timer: 3000
        });
        this.$router.push('/Homepage');
      }
    },
    navigateToPage(index) {
      let route = '';
      if (index === 0) {
        route = '/homeipnum';
      } else if (index === 1) {
        route = '/ordershop';
      } else if (index === 2) {
        this.logout();
        return;
      }
      this.$router.push(route);
      this.dropdown = false;
    },
    goToCartPage() {
      this.$router.push('/cartshop');
    },
    logout() {
      Cookies.remove('token');
      Swal.fire({
        position: "center",
        icon: "success",
        title: "ออกจากระบบสำเร็จ",
        showConfirmButton: false,
        timer: 3000
      }).then(() => {
        this.$router.push('/signup');
      });
    }
  }
};
</script>


<style>
@import url("https://fonts.googleapis.com/css2?family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

.font {
    font-family: "Prompt", sans-serif;
}

.v-toolbar__title {
    font-size: 1rem !important;
}

.button-cart {
    padding-right: 10px;
}
</style>
